EasyApache 4
Forum
  1. Forums
  2. CloudLinux and Control Panels
  3. CloudLinux and cPanel
  1. Karl Fleming
  2. Tuesday, 13 January 2015
  3.  Subscribe via email
Upcomming EasyApache 4 Announcement
Rate this post:
  1. 13.01.2015 15:01:31
  2. # 1
Karl Fleming Accepted Answer
Posts: 19
Joined: 08.06.2014
0
Votes
Undo
How will the new cPanel EasyApache 4 integrate with CL and LVE / CageFS ?

Should we update to EasyApache 4 when it becomes available ?



See  http://blog.cpanel.net/easyapache-4-announcement/ for more details of cPanel announcement.
  1. 14.01.2015 11:01:53
  2. # 2
Igor Seletskiy Accepted Answer
Posts: 1196
Joined: 09.02.2010
0
Votes
Undo
We are working with cPanel on this one. The change should be transparent for CloudLinux users.
  1. 03.09.2015 04:09:04
  2. # 3
Pete Accepted Answer
Posts: 11
Joined: 08.11.2013
0
Votes
Undo
There is already a tutorial regarding the upgrade from EA3 to EA4 --> https://forums.cpanel.net/threads/easyapache4-announcement.447882/page-4#post-1983741

It is unofficial but the EA4 is close.

How that affect us:

1. Will it be compatible with Cloudlinux out of the box?
2. Which PHP Selector (Chooser) we should use as EA4 has implemented own PHP Selector?
3. How long the support for EA3 will continue for all CloudLinux users?

Thanks.
  1. 03.09.2015 12:09:23
  2. # 4
Bogdan Accepted Answer
Posts: 709
Joined: 26.06.2013
0
Votes
Undo
Petar, it\'s really to early so answer your questions, we did not tried it yet as officially EA4 is not supporting CloudLinux yet at all:


# /scripts/migrate_ea3_to_ea4 --run
EasyApache 4 is not supported on this Operating System

Cpanel version:
# /usr/local/cpanel/cpanel -V
11.51.9999 (build 12)
We are waiting for cpanel devs to implement it then will have a full tests in our labs.
  1. 03.09.2015 15:09:02
  2. # 5
Pete Accepted Answer
Posts: 11
Joined: 08.11.2013
0
Votes
Undo
Thank you for the answer Bogdan,

Please keep us posted about the progress when such is available.
  1. 03.09.2015 19:09:43
  2. # 6
Bruce Huang Accepted Answer
Posts: 8
Joined: 10.02.2012
0
Votes
Undo
EA4 should be in compatibility with cloudlinux in the release version 11.52. Now it is still in the debug stage. So it could not be installed on the cloudlinux.
  1. 26.09.2015 07:09:01
  2. # 7
Darren Cain Accepted Answer
Posts: 1
Joined: 20.03.2013
0
Votes
Undo
Any Update on when EA4 will be compatible with Cloudlinux ?
  1. 05.10.2015 15:10:26
  2. # 8
John O\'Grady Accepted Answer
Posts: 1
Joined: 05.10.2015
0
Votes
Undo
Apparently no update yet....
# /usr/local/cpanel/cpanel -V
11.52.0 (build 9)

# /scripts/migrate_ea3_to_ea4 --run
EasyApache 4 is not supported on this Operating System
  1. 19.10.2015 08:10:30
  2. # 9
eminos Accepted Answer
Posts: 10
Joined: 07.10.2012
0
Votes
Undo
Is there any update on this?
Can we use EasyApache 4 safely with CloudLinux? With disabled \"Multi PHP\" if we\'re using alt-php?
  1. 19.10.2015 10:10:06
  2. # 10
Bogdan Accepted Answer
Posts: 709
Joined: 26.06.2013
0
Votes
Undo
So far EA4 support is not ready, however I constantly see our developers are co-operating with cpanels developers regarding it. The issue is not just from one (our) side, so it lasts so long. We will anounce EA4 support in our blog as soon as it will be done.
  1. 01.11.2015 01:11:25
  2. # 11
Bruce Huang Accepted Answer
Posts: 8
Joined: 10.02.2012
0
Votes
Undo
Does Cloudlinux support EA4 now? I saw the blog that released beta hook. "CAG-438: cagefs hooks adapted for EasyApache4." 

https://cloudlinux.com/blog/clnews/beta-cagefs-pythoncllib-and-lve-wrappers-updated.php
  1. 10.11.2015 13:11:39
  2. # 12
Mike Vasquez Accepted Answer
Posts: 6
Joined: 29.06.2012
0
Votes
Undo
Joining the question, 11.52 with EA4 is in stable tier already. Has anyone checked EA4 with cloudlinux?
  1. 17.11.2015 17:11:42
  2. # 13
Wesley Render Accepted Answer
Posts: 49
Joined: 16.05.2011
0
Votes
Undo
Subscribing to this.  Would be great for full compatibility between EA4 (When it is fully released) and CloudLinux.
  1. 13.12.2015 09:12:08
  2. # 14
Aykut Kara Accepted Answer
Posts: 1
Joined: 13.12.2015
0
Votes
Undo
Subscribing...
  1. 14.12.2015 04:12:57
  2. # 15
patrick sanders Accepted Answer
Posts: 2
Joined: 12.05.2011
0
Votes
Undo
Also subscribing ...
  1. 11.01.2016 15:01:37
  2. # 16
Dejan Accepted Answer
Posts: 6
Joined: 26.08.2012
0
Votes
Undo
EA4 will be default in cPanel 54, that will be in release tier soon... Any news about EA4 support with CloudLinux?
  1. 22.01.2016 09:01:00
  2. # 17
Chuck Charleston Accepted Answer
Posts: 12
Joined: 22.01.2016
0
Votes
Undo
Subscribed.
  1. 30.01.2016 09:01:44
  2. # 18
Thomas Halfdaner Accepted Answer
Posts: 1
Joined: 30.01.2016
0
Votes
Undo
Im Subscribed to :)
  1. 01.03.2016 11:03:15
  2. # 19
Scott Mutter Accepted Answer
Posts: 56
Joined: 23.04.2014
0
Votes
Undo
Any new upd ate on this?

What really seems to be the hold up?  Can mod_hostinglimits.so not be converted to an rpm like all of the other Apache modules that are installed with EA4?  Does Apache need to be patched?  Can CloudLinux just release their own patched Apache rpm and exclude cPanel's Apache rpm?  Can it not be se t to not allow cPanel's EA4 php rpms if CloudLinux's alt-php's are used?
  1. 01.03.2016 11:03:55
  2. # 20
Bogdan Accepted Answer
Posts: 709
Joined: 26.06.2013
0
Votes
Undo
Scott, we are going to release EA4 support really soon, Most probably it will be done tomorrow if nothing critical happens.


There are no replies made for this post yet.
Be one of the first to reply to this post!
Guest
Submit Your Response
Upload files or images for this discussion by clicking on the upload button below. Supports gif,jpg,png,zip,rar,pdf
• Insert • Remove Upload Files (Maximum File Size: 2 MB)
Captcha
To protect the site from bots and unauthorized scripts, we require that you enter the captcha codes below before posting your question.